{ config, nodes, ... }:
{
  fileSystems = with config.sysusers; with nodes; {
    # Local mounts
    "/mnt/Games" = {
      device = "/dev/disk/by-uuid/cb109a85-846d-4417-9c50-a2279bd20803";
      fsType = "btrfs";
      options = [
        "nofail"
        "nosuid"
      ];
    };

    # Network mounts
    "/home/${main}/Network/Midas" = {
      device = "[${midas.config.deployment.targetHost}]:/storage";
      fsType = "nfs4";
      options = [
        "noauto"
        "soft"
        "x-systemd.automount"
      ];
    };
    "/home/${main}/Network/Kitty" = {
      device = "[${kitty.config.deployment.targetHost}]:/storage/bun";
      fsType = "nfs4";
      options = [
        "noauto"
        "soft"
        "x-systemd.automount"
      ];
    };
    "/home/${main}/Network/Prophet" = {
      device = "[${prophet.config.deployment.targetHost}]:/storage";
      fsType = "nfs4";
      options = [
        "noauto"
        "soft"
        "x-systemd.automount"
      ];
    };
  };
}
