{ config, nodes, ... }:
{
  fileSystems = with config.sysusers; with nodes; {
    "/persist/storage" = {
      device = "/dev/disk/by-uuid/edd3e293-1aff-4fc0-96fa-4e17d6cccfca";
      fsType = "btrfs";
      options = [
        "nofail"
        "nosuid"
      ];
    };

    # Network mounts
    "/home/${main}/Network/Midas" = {
      device = "[${midas.config.deployment.targetHost}]:/storage";
      fsType = "nfs4";
      options = [
        "noauto"
        "soft"
        "x-systemd.automount"
      ];
    };
    "/home/${main}/Network/Prophet" = {
      device = "[${prophet.config.deployment.targetHost}]:/storage";
      fsType = "nfs4";
      options = [
        "noauto"
        "soft"
        "x-systemd.automount"
      ];
    };
  };
}
