{ config, nodes, ... }:
{
  fileSystems = with config.sysusers; with nodes; {
    "/persist" = {
      device = "/dev/disk/by-uuid/acf95700-8669-45c7-9a72-bf3215b3c325";
      fsType = "btrfs";
      neededForBoot = true;
      options = [
        "compress=zstd"
        "subvol=persist"
      ];
    };
    "/kitty" = {
      device = "[${kitty.config.deployment.targetHost}]:/storage/${main}";
      fsType = "nfs4";
      options = [
        "noauto"
        "soft"
        "x-systemd.automount"
      ];
    };
  };
}
